Bug 1572580 - Review Request: gegl04 - Graph based image processing framework
Summary: Review Request: gegl04 - Graph based image processing framework
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 11:03 UTC by Nils Philippsen
Modified: 2018-05-27 18:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-27 18:41:26 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Nils Philippsen 2018-04-27 11:03:58 UTC
Spec URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04.spec
SRPM URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04-0.4.0-0.1.fc28.src.rpm
Description: GEGL (Generic Graphics Library) is a graph based image processing framework.
GEGLs original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies and a simple well defined API.
Fedora Account System Username: nphilipp

Comment 1 Artur Frenszek-Iwicki 2018-04-27 11:45:16 UTC
At the very start, there's
>%global apiver 0.4
but then later it says
>%description    devel
>The %{name}-devel package contains libraries and header files for developing applications that use %{name} API version 0.3.
Shouldn't the %{apiver} symbol be used here?

Also, why is the release field 0.1 instead of just 1?

Comment 2 Nils Philippsen 2018-04-27 11:52:25 UTC
(In reply to Iwicki Artur from comment #1)
> At the very start, there's
> >%global apiver 0.4
> but then later it says
> >%description    devel
> >The %{name}-devel package contains libraries and header files for developing applications that use %{name} API version 0.3.

Good catch, I noticed that too meanwhile and fixed it.

> Shouldn't the %{apiver} symbol be used here?
> 
> Also, why is the release field 0.1 instead of just 1?

Because I have a slight obsession with using the -1 release only when it's approved ;-). I'll bump it before I import it into dist-git.

I've rolled a new one with these changes:

* Fri Apr 27 2018 Nils Philippsen <nils@tiptoe.de> - 0.4.0-0.2
- add tools subpackage
- tidy up remains of 0.3
- add back gtk-doc documentation

Spec URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04.spec
SRPM URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04-0.4.0-0.2.fc28.src.rpm

The addition of the tools subpackage is the most prominent change, it adds back the command line executables which were previously left out in the gegl03 package (in lieu of those contained in plain 'gegl', i.e. versions 0.2.x). The binaries are version-suffixed which will be symlinked from their unversioned names from Fedora 29/Rawhide on.

Comment 3 Robert-André Mauchin 🐧 2018-04-27 14:44:23 UTC
 - Use %ldconfig_scriptlets instead of: 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

Comment 4 Nils Philippsen 2018-04-27 16:16:01 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - Use %ldconfig_scriptlets instead of: 
> 
> %post -p /sbin/ldconfig
> 
> %postun -p /sbin/ldconfig

Fixed:

* Fri Apr 27 2018 Nils Philippsen <nils@tiptoe.de> - 0.4.0-0.3
- use %%ldconfig_scriptlets macro

Spec URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04.spec
SRPM URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04-0.4.0-0.3.fc28.src.rpm

Comment 5 Robert-André Mauchin 🐧 2018-04-27 18:31:38 UTC
 - Package should own these derctories:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/vala/vapi,
     /usr/share/gir-1.0, /usr/share/vala

 - You must remove Rpath from the libs:

[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output

   Try using chrpath. See https://fedoraproject.org/wiki/Packaging:Guidelines#Removing_Rpath

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "FSF All Permissive", "GPL (v3 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "*No copyright* GPL (v3 or later)",
     "*No copyright* Public domain", "BSD (3 clause)", "GPL (v3 or later)
     LGPL (v3 or later)", "LGPL (v3 or later)", "*No copyright* LGPL (v3 or
     later)", "ISC", "GPL (v3)", "LGPL (v2 or later)". 640 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/gegl04/review-gegl04/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/vala/vapi,
     /usr/share/gir-1.0, /usr/share/vala
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gtk-doc(harfbuzz-
     devel, intel-gpu-tools), /usr/share/gtk-doc/html(harfbuzz-devel,
     intel-gpu-tools), /usr/share/gtk-doc/html/gegl(gegl-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3594240 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gegl04-0.4.0-0.3.fc29.x86_64.rpm
          gegl04-devel-0.4.0-0.3.fc29.x86_64.rpm
          gegl04-tools-0.4.0-0.3.fc29.x86_64.rpm
          gegl04-debuginfo-0.4.0-0.3.fc29.x86_64.rpm
          gegl04-debugsource-0.4.0-0.3.fc29.x86_64.rpm
          gegl04-0.4.0-0.3.fc29.src.rpm
gegl04.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/exr-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/exr-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/gegl-common-gpl3.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/gegl-common.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/gegl-core.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/gegl-generated.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/jp2-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/jpg-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/jpg-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/lcms-from-profile.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/matting-levin.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/npd.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/npy-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/path.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/pixbuf.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/png-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/png-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/ppm-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/ppm-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/raw-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/rgbe-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/rgbe-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/save-pixbuf.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/sdl-display.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/seamless-clone-compose.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/seamless-clone.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/svg-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/text.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/tiff-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/tiff-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/transformops.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/v4l.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/vector-fill.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/vector-stroke.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/webp-load.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gegl-0.4/webp-save.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgegl-npd-0.4.so ['/usr/lib64']
gegl04.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgegl-sc-0.4.so ['/usr/lib64']
gegl04.x86_64: W: no-documentation
gegl04-devel.x86_64: E: zero-length /usr/share/vala/vapi/gegl-0.4.deps
gegl04-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gcut-0.4 ['/usr/lib64']
gegl04-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gegl-0.4 ['/usr/lib64']
gegl04-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gegl-imgcmp-0.4 ['/usr/lib64']
gegl04-tools.x86_64: W: no-documentation
gegl04-tools.x86_64: W: no-manual-page-for-binary gcut
gegl04-tools.x86_64: W: no-manual-page-for-binary gcut-0.4
gegl04-tools.x86_64: W: no-manual-page-for-binary gegl
gegl04-tools.x86_64: W: no-manual-page-for-binary gegl-0.4
gegl04-tools.x86_64: W: no-manual-page-for-binary gegl-imgcmp
gegl04-tools.x86_64: W: no-manual-page-for-binary gegl-imgcmp-0.4
gegl04-debugsource.x86_64: W: no-documentation
gegl04.src: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
gegl04.src:64: W: unversioned-explicit-provides bundled(poly2tri-c)
6 packages and 0 specfiles checked; 42 errors, 12 warnings.

Comment 6 Nils Philippsen 2018-04-27 19:44:47 UTC
Fixed:

* Fri Apr 27 2018 Nils Philippsen <nils@tiptoe.de> - 0.4.0-0.4
- own all created directories
- remove rpaths

Spec URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04.spec
SRPM URL: https://nphilipp.fedorapeople.org/review/gegl04/gegl04-0.4.0-0.4.fc28.src.rpm

Comment 7 Robert-André Mauchin 🐧 2018-04-27 19:51:23 UTC
Good to go, package approved.

Comment 8 Nils Philippsen 2018-04-27 20:08:53 UTC
Thanks!

Comment 9 Gwyn Ciesla 2018-04-27 21:52:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gegl04


Note You need to log in before you can comment on or make changes to this bug.